Subject: Re: [Bitcoin-development] Proposal: Encrypt bitcoin messages

From: Gregory Maxwell <[email-masked]>
Date: Tue, 19 Aug 2014 16:54:35 -0700

On Tue, Aug 19, 2014 at 4:39 PM, Justus Ranvier
<[email-masked]> wrote:
> While the rest of the 'net is busy deprecating HTTP and all other
> unencrypted transport methods, why is it(*) even a debate?

I think it's desirable (and you can go look in #bitcoin-dev logs for
me talking about it in the past)— but all of engineering is
tradeoffs... and the ones involved here don't make it a high priority
in my book, esp when people should be using Bitcoin over tor in any
case, which provides better privacy and also covers encrypt + auth.

In general I think authentication is more important than encryption,
since authentication is table stakes required for a number of
anti-partitioning-attack measures.  My past thinking on opportunistic
encryption is that once you're authenticating also encrypting would be
fairly little work, but it should be auth that drives that kind of
effort.